#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-JO1laHbau6f7IjVlCuuy0p
key:                  enclosed-exceptions-1.0.3-JO1laHbau6f7IjVlCuuy0p
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  41f0323e74b4da2a875106a84520cffb
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-9.0.1/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/enclosed-exceptions-1.0.3
hs-libraries:         HSenclosed-exceptions-1.0.3-JO1laHbau6f7IjVlCuuy0p
depends:
    base-4.15.0.0 deepseq-1.4.5.0
    lifted-base-0.2.3.12-84unJ4gSRZp2GU1lngRMx3
    monad-control-1.0.2.3-8GJnf4t1yRaE6dz1CLjZVk transformers-0.5.6.2
    transformers-base-0.4.5.2-77WQ8Nli3rGmT3I2iNwlr

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

